import { Component, OnInit, Input, Output,EventEmitter } from '@angular/core';

@Component({
  selector: 'ydlife-detail-modal',
  templateUrl: './detail-modal.component.html',
  styleUrls: ['./detail-modal.component.scss']
})
export class DetailModalComponent implements OnInit {
 // application:1其他应税项目，2为个人所得税政策
 @Input() application: number;
 @Output() closeDetailModal = new EventEmitter();
 isOpen: boolean;
  constructor() {
    this.isOpen = true;
   }

  ngOnInit() {
  }

  //   关闭弹窗
  closeModal() {
    this.isOpen = false;
    this.closeDetailModal.emit();
  }

}
